YepAPI
AI Models

DeepSeek V3.2

DeepSeek's latest general model. Fast and affordable with a 164K context window and excellent coding ability.

POST/v1/ai/chat
$0.01/call

Overview

DeepSeek's latest general model. Fast and affordable with a 164K context window and excellent coding ability.

PropertyValue
Model IDdeepseek/deepseek-v3.2
Context Window164,000 tokens
Max Output8,192 tokens
Input Price$0.26 / 1M tokens
Output Price$0.38 / 1M tokens

Usage

const res = await fetch('https://api.yepapi.com/v1/ai/chat', {
  method: 'POST',
  headers: {
    'x-api-key': 'YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    model: 'deepseek/deepseek-v3.2',
    messages: [{ role: 'user', content: 'Write a SQL query to find duplicate email addresses in a users table.' }],
  }),
});
const { data } = await res.json();
console.log(data.message.content);
curl -X POST https://api.yepapi.com/v1/ai/chat \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"model": "deepseek/deepseek-v3.2", "messages": [{"role": "user", "content": "Write a SQL query to find duplicate email addresses in a users table."}]}'

Request Body

ParameterTypeRequiredDescriptionDefault
modelstringYesModel ID (e.g. deepseek/deepseek-v3.2)
messagesMessage[]YesArray of { role, content } objects
maxTokensnumberNoMaximum tokens in the responseModel default
temperaturenumberNoSampling temperature (0.0–2.0)1.0
topPnumberNoNucleus sampling threshold1.0
frequencyPenaltynumberNoPenalize repeated tokens0
presencePenaltynumberNoPenalize tokens already present0
streambooleanNoEnable SSE streamingfalse
Info

All AI models use the /v1/ai/chat endpoint. Specify the model with the model field.

Response

{
  "ok": true,
  "data": {
    "model": "deepseek/deepseek-v3.2",
    "message": {
      "role": "assistant",
      "content": "SELECT email, COUNT(*) as count FROM users GROUP BY email HAVING COUNT(*) > 1 ORDER BY count DESC;"
    },
    "usage": {
      "promptTokens": 18,
      "completionTokens": 42,
      "totalTokens": 60
    }
  }
}

Streaming

Set "stream": true to receive Server-Sent Events. Each chunk contains a delta object:

data: {"delta":{"content":"SELECT"},"model":"deepseek/deepseek-v3.2","index":0}
data: [DONE]
Under the Hood

We handle auth, billing, and response normalization — you just send messages.

On this page